package tmaestroplayer.navigation;

/**
 *
 * @author Gonzalo
 */
public class ButtonNavigation {

    private String buttonName;
    private String left;
    private String right;
    private String up;
    private String down;

    public ButtonNavigation() {
    }

    public ButtonNavigation(String buttonName, String left, String right, String up, String down) {
        this.buttonName = buttonName;
        this.left = left;
        this.right = right;
        this.up = up;
        this.down = down;
    }

    /**
     * @return the buttonName
     */
    public String getButtonName() {
        return buttonName;
    }

    /**
     * @param buttonName the buttonName to set
     */
    public void setButtonName(String buttonName) {
        this.buttonName = buttonName;
    }

    /**
     * @return the left
     */
    public String getLeft() {
        return left;
    }

    /**
     * @param left the left to set
     */
    public void setLeft(String left) {
        this.left = left;
    }

    /**
     * @return the right
     */
    public String getRight() {
        return right;
    }

    /**
     * @param right the right to set
     */
    public void setRight(String right) {
        this.right = right;
    }

    /**
     * @return the up
     */
    public String getUp() {
        return up;
    }

    /**
     * @param up the up to set
     */
    public void setUp(String up) {
        this.up = up;
    }

    /**
     * @return the down
     */
    public String getDown() {
        return down;
    }

    /**
     * @param down the down to set
     */
    public void setDown(String down) {
        this.down = down;
    }

}
